#pragma once

#include "CoreMinimal.h"
#include "GenericPopupPresenter.h"
#include "NewRiftPopupPresenter.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDUIPRESENTERS_API UNewRiftPopupPresenter : public UGenericPopupPresenter
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnRiftButtonClicked();

	UFUNCTION(BlueprintCallable)
	void OnReplayButtonClicked();

	UFUNCTION(BlueprintCallable)
	void OnQuestButtonClicked();

public:
	UNewRiftPopupPresenter();
};

FORCEINLINE uint32 GetTypeHash(const UNewRiftPopupPresenter) { return 0; }
